import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
export interface DialogConfig {
    content: string | TemplateRef<any>;
    title?: string | TemplateRef<any>;
    btnsText?: Array<string>;
}
export declare class DialogController {
    config: Observable<DialogConfig | string>;
    private action;
    private actionEvent;
    private configSource;
    constructor();
    show(params: DialogConfig | string): Promise<any>;
    publishAction(result: boolean): void;
}
